Skip to content

Apply For Address

For both segregated warm wallet and segregated cold wallet.

To check how many addresses a specific wallet has used and its address limit, use Get Wallet Information API.\ To check how many addresses the entire enterprise has used and how many remain, use the Get Address Limit API.\ Address creation fails once either the wallet limit or the enterprise limit is reached.

Endpoint

POST https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/addresses/apply
POST https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/addresses/apply

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID
wallet_code
Required
StringWallet ID

Body Parameters

FieldTypeDescription
address_num
Required
IntegerNumber of addresses to apply for (maximum: 50 addresses per request)
address_type
Required
EnumAddress type
Allowed values: NORMAL_ADDRESS
coin_name
Optional
StringCoin name
apply_id
Optional
StringPass same ID will return same result to avoid duplication (max length is 50 characters)
description
Optional
StringAddress remark (max length: 200 characters). When multiple addresses are applied for in one request, the same remark is applied to all generated addresses.

For Ethereum multi-sign and Tron multi-sign cold wallet, the API will only create 1 address regardless of the value of address_num, and will not return the address in the response. You need to query the address list API to get the new address.

Request Body Example

{
    "address_num": 2,
    "address_type": "NORMAL_ADDRESS",
    "coin_name": "ETH",
    "apply_id": "unique-request-id-12345",
    "description": "Customer deposit addresses"
}

Response

Response Body

Field Type Description
code Integer Response code (0 = success)
message String Response message
successful Boolean Whether the request was successful
data String[] List of all newly created addresses

Response Example

{
    "code": 0,
    "message": "",
    "data": ["mkAbCEHS1d8QZfYveiU6YEhDbCGp2Cky9v", "mn4FFTQqs6VxE1ADCBg7jZS6t6J6sLRhKQ"],
    "successful": true
}